# $Revision: 1.6 $, $Date: 2002/03/02 11:07:18 $
Summary:	Pretty-printer for converting C/C++ code to a LaTeX listing
Summary(pl):	Konwerter listingw C/C++ na LaTeX
Name:		C++2LaTeX
%define		ver	1_1pl1
Version:	1.1pl1
Release:	2
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	ftp://ftp.tex.ac.uk/tex-archive/support/%{name}-%{ver}.tar.gz
BuildRequires:	flex
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++2LaTeX takes as input a C or C++ source file and outputs a LaTeX
file that is a beautified listing (optionally the output can contain
the 'documentstyle' header and so on).

%description -l pl
C++2LaTeX przyjmuje na wejcie kod rdowy w C lub C++, a na wyjcie
wysya plik w LaTeX-u z adnym listingiem.

%prep
%setup -q -n %{name}-%{ver}

%build
rm -f *.o c++2latex
%{__make} CFLAGS="%{rpmcflags} -DUSE_NAME"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install c++2latex	$RPM_BUILD_ROOT%{_bindir}
install c++2latex.1	$RPM_BUILD_ROOT%{_mandir}/man1
ln -sf c++2latex	$RPM_BUILD_ROOT%{_bindir}/c2latex
echo '.so c++2latex.1' >$RPM_BUILD_ROOT%{_mandir}/man1/c2latex.1

gzip -9nf ChangeLog README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc *.gz
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: C++2LaTeX.spec,v $
Revision 1.6  2002/03/02 11:07:18  kloczek
- cosmetics.

Revision 1.5  2002/03/01 14:32:40  marcus
- rel.2.

Revision 1.4  2002/02/22 23:28:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/04/30 16:05:13  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/03/06 17:06:22  qboosh
- 1.1pl1
- adapted for PLD


* Thu Nov 05 1998 Christian Joensson FOA 72 <chj@lin.foa.se>.
  - Took James Youngman's, <JYoungman@vggas.com>, libc5 src.
  - Deleted the tetex-latex dependency, built with glibc-2,
    and stripped binary.
